BT

如何利用碎片时间提升技术认知与能力? 点击获取答案

Netbeans 7不再支持Ruby​

| 作者 Dio Synodinos 关注 3 他的粉丝 ,译者 丁雪丰 关注 3 他的粉丝 发布于 2011年1月31日. 估计阅读时间: 2 分钟 | Google、Facebook、Pinterest、阿里、腾讯 等顶尖技术团队的上百个可供参考的架构实例!

三年前,Netbeans支持Ruby/RoR曾是重大新闻,但Sun被Oracle收购后,就有人对Netbeans的动态语言支持表示担忧,因为它“被缩水了”。​这个担心已经成为现实,自Netbeans 7开始,该IDE​不再支持Ruby。​

Netbeans团队声称放弃Ruby的主要原因是资源有限,他们想将更多精力放在下一个Java SE的主要版本上:

Java SE 7和Java Development Kit 7(JDK 7)是Java SE平台的下一个主要版本,Oracle承诺在2011年发布该版本。Netbeans IDE的关键目标之一就是始终为Java平台提供最好的支持。为了达成这个目标,充分利用JDK 7的功能(多语言支持、提高开发者生产力并提升性能),我们必须集中资源,及时发布优秀的Netbeans IDE 7.0。

在人力资源方面,不得不提的是"Netbeans 6复兴"的幕后功臣Tor Norbye在收购后离开了公司,Sun原来的JRuby团队也是如此

Netbeans团队还宣称过去三年里Netbeans IDE在Ruby社区里并不算成功​,因此继续在这方面投入资源意义不大:​

尽管我们的Ruby支持曾很受欢迎,但基于目前较低的使用趋势,我们找不到理由继续投入资源来支持这个特性。

此后,Netbeans/Ruby支持将成为社区项目,和Python支持类似,​它在Netbeans进入黄金时代前就被抛弃了。​

至于剩下的动态语言,计划于2011年4月发布的Netbeans 7里,Oracle似乎会继续支持PHP和Groovy

曾经使用Netbeans的Ruby开发者可以考虑切换到其他产品上,比如RubyMineAptanaRedCar等等。

正在用哪个IDE/编辑器进行Ruby/RoR开发呢?

查看英文原文:Ruby Dropped in Netbeans 7

评价本文

专业度
风格

您好,朋友!

您需要 注册一个InfoQ账号 或者 才能进行评论。在您完成注册后还需要进行一些设置。

获得来自InfoQ的更多体验。

告诉我们您的想法

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

IDE的话 by 邱 锦森

用Rubymine吧,这一消息出来后,Rubymine降价到29美元,2月15号恢复原价。

Re: IDE的话 by huai huai

不支持更好,反正本来就做得不好。

Re: IDE的话 by Wang Jerry

可悲的Netbeans7

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

3 讨论

登陆InfoQ,与你最关心的话题互动。


找回密码....

Follow

关注你最喜爱的话题和作者

快速浏览网站内你所感兴趣话题的精选内容。

Like

内容自由定制

选择想要阅读的主题和喜爱的作者定制自己的新闻源。

Notifications

获取更新

设置通知机制以获取内容更新对您而言是否重要

BT